Subject: bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken, bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken

From: Gregory Heytings <[email-masked]>
Date: Thu, 17 Aug 2023 18:07:55 +0000

>
> Thank you, but I believe we all knew that, already.
>

I apologize for trying to help.

>
> My point has been that end-of-file doesn't really belong to the "common 
> but uninteresting errors that happen often during editing", and your 
> example doesn't change that, no.
>

I'd say that the fact that end-of-file has been in the default value of 
debug-ignored-errors for a quarter of a century without anyone objecting 
indicates that it's a reasonable default.  And you can easily remove it 
from there if you want:

(delq 'end-of-file debug-ignored-errors)